package eu.teraflow.automation.model;

public class DeviceRoleState {

    private final DeviceRoleId deviceRoleId;
    private final DeviceState deviceState;

    public DeviceRoleState(DeviceRoleId deviceRoleId, DeviceState deviceState) {

        this.deviceRoleId = deviceRoleId;
        this.deviceState = deviceState;
    }

    public DeviceRoleId getDeviceRoleId() {
        return deviceRoleId;
    }

    public DeviceState getDeviceState() {
        return deviceState;
    }
}
